| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ascend_state_t Struct Reference

Tracks the full parser state while reading and decoding a single Ascend capture record. More...

`#include <ascend-int.h>`

## Public Attributes
FILE_T | fh
const char * | ascend_parse_error
int | err
char * | err_info
struct ascend_phdr * | pseudo_header
uint8_t * | pkt_data
bool | saw_timestamp
time_t | timestamp
int64_t | first_hexbyte
uint32_t | wirelen
uint32_t | caplen
time_t | secs
uint32_t | usecs
ascend_token_t | token

## Detailed Description

Tracks the full parser state while reading and decoding a single Ascend capture record.

## Member Data Documentation

## ◆ ascend_parse_error

const char* ascend_state_t::ascend_parse_error

Human-readable parse error string; NULL if no error has occurred.

## ◆ caplen

uint32_t ascend_state_t::caplen

Captured length of the current packet in bytes.

## ◆ err

int ascend_state_t::err

Wiretap error code set if a read or parse error is encountered.

## ◆ err_info

char* ascend_state_t::err_info

Additional detail string associated with `err`; must be freed by the caller.

## ◆ fh

FILE_T ascend_state_t::fh

File handle for the Ascend capture file being parsed.

## ◆ first_hexbyte

int64_t ascend_state_t::first_hexbyte

File offset of the first hex data byte of the current packet record.

## ◆ pkt_data

uint8_t* ascend_state_t::pkt_data

Pointer to the buffer receiving the decoded packet payload bytes.

## ◆ pseudo_header

struct ascend_phdr* ascend_state_t::pseudo_header

Pointer to the Ascend pseudo-header populated during parsing.

## ◆ saw_timestamp

bool ascend_state_t::saw_timestamp

Whether a timestamp record has been encountered for the current packet.

## ◆ secs

time_t ascend_state_t::secs

Seconds component of the current packet's arrival timestamp.

## ◆ timestamp

time_t ascend_state_t::timestamp

Parsed wall-clock timestamp of the current packet record.

## ◆ token

ascend_token_t ascend_state_t::token

Most recently scanned token from the Ascend file lexer.

## ◆ usecs

uint32_t ascend_state_t::usecs

Microseconds component of the current packet's arrival timestamp.

## ◆ wirelen

uint32_t ascend_state_t::wirelen

Original on-wire length of the current packet in bytes.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/ascend-int.h